v3.0
get
/ec-site-svc/rest/v3.0/studies/{studyId}/{mode}/labs
Compared with v2, this version adds lab status filtering and status-aware response data.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
limit(required): integer(int32)
Minimum Value:
0Maximum Value:1000Maximum number of rows to return. Only non-negative integers are accepted.Example:25 -
offset(required): integer(int32)
Minimum Value:
0Zero-based row index to start pagination. Only non-negative integers are accepted.Example:0 -
siteId(required): string
Minimum Length:
1Maximum Length:255Name search filter for site.Example:Site-A -
status(required): string
Lab status filter. Allowed values: ACTIVE (available), NEW (newly created), RESTRICTED (limited use), DISBARRED (blocked), DECEASED (closed), RETIRED (inactive).Allowed Values:
[ "New", "Active", "Retired", "ACTIVE", "NEW", "RESTRICTED", "DISBARRED", "DECEASED", "RETIRED" ]Example:ACTIVE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : LabResponse
Type:
objectResponse containing lab normals processing status and created/updated data elements for v1
Show Source
-
items: array
items
List of data elements generated or updated for the lab normals request
-
labnormalsStatus: array
labnormalsStatus
List of lab normals processing status codes resulting from validation and mapping
Nested Schema : items
Type:
arrayList of data elements generated or updated for the lab normals request
Show Source
-
Array of:
object DataElementDto6
Data element response with additional property linkage details
Example:
[
{
"id":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"versionStart":"2025-10-16T14:30:31.892Z",
"transactionStart":"2025-10-16T14:30:31.892Z",
"transactionEnd":"2025-10-16T14:35:00.000Z",
"validationStatus":"SUCCESS",
"validationFailure":null,
"studyId":"ABCDEF1234567890ABCDEF1234567890",
"studyName":"STUDY-ABC",
"studyVersion":"21",
"subjectId":"10F75668189F422F9A461A315D211111",
"eventId":"ADF5A7800A954FA5B831E7B6B9CA39A9",
"formId":"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF",
"formSectionId":"B6E0C7D5A1F3428C8B8B6A77C5E9D4AA",
"repeatSequenceNumber":1,
"itemId":"DEADBEEFDEADBEEFDEADBEEFDEADBEEF",
"siteId":"ABCDEF1234567890ABCDEF1234567890",
"variableId":"0123456789ABCDEF0123456789ABCDEF",
"originatorId":"FEDCBA9876543210FEDCBA9876543210",
"vendorCode":"VENDOR1",
"value":"13.5",
"measureUnit":"g/dL",
"normalizedValue":"A78AD8C31CD843CD8B847C06C0420FF5",
"normalizedUnitId":"A78AD8C31CD843CD8B847C06C0420FF5",
"numValue":13,
"floatValue":13.5,
"dateTimeValueUTC":"2025-10-16T14:30:31.892Z",
"monthValue":10,
"dayValue":16,
"yearValue":2025,
"hourValue":14,
"minuteValue":30,
"secondValue":31,
"reason":"Initial entry",
"comment":"Captured by device",
"objectVersionNumber":14,
"eventInstanceNum":1,
"targets":[
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE5",
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE7"
],
"dataFlag":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"propertyId":"40DB4EF4847849CCB24EFCCB71CDA436",
"propertyVersionStart":"2025-10-16T14:30:31.892Z"
}
]Nested Schema : labnormalsStatus
Type:
arrayList of lab normals processing status codes resulting from validation and mapping
Show Source
-
Array of:
string
List of lab normals processing status codes resulting from validation and mappingExample:
["SUCCESS"]
Example:
[
"SUCCESS"
]Nested Schema : DataElementDto6
Type:
objectData element response with additional property linkage details
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for the data element changeExample:Captured by device -
dataFlag: string
(UUID)
Unique Data flag identifier(UUID, 32-character uppercase hexadecimal string).Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
dateTimeValueUTC: string
(date-time)
Date-time value in UTCExample:
2025-10-16T14:30:31.892Z -
dayValue: integer
(int32)
Day part of dateExample:
16 -
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ADF5A7800A954FA5B831E7B6B9CA39A9 -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
floatValue: number
(decimal)
Numeric decimal valueExample:
12.34 -
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
formSectionId: string
(UUID)
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B6E0C7D5A1F3428C8B8B6A77C5E9D4AA -
hourValue: integer
(int32)
Hour part of timeExample:
14 -
id: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data elementExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
itemId: string
(UUID)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
DEADBEEFDEADBEEFDEADBEEFDEADBEEF -
measureUnit: string
Minimum Length:
0Maximum Length:64Measurement unitExample:mg/dL -
minuteValue: integer
(int32)
Minute part of timeExample:
30 -
monthValue: integer
(int32)
Month part of dateExample:
10 -
normalizedUnitId: string
Identifier of normalized unitExample:
A78AD8C31CD843CD8B847C06C0420FF5 -
normalizedValue: string
Minimum Length:
0Maximum Length:100Normalized value if applicableExample:120 -
numValue: integer
(int32)
Numeric integer valueExample:
120 -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
14 -
originatorId: string
(UUID)
An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).Example:
FEDCBA9876543210FEDCBA9876543210 -
propertyId: string
Unique Identfier (UUID, 32-character uppercase hexadecimal string) of data capture propertiesExample:
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA -
propertyVersionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2023-01-01T09:00:00Z -
reason: string
Minimum Length:
0Maximum Length:255Reason associated with the data element changeExample:Initial entry -
repeatSequenceNumber: integer
(int32)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
secondValue: integer
(int32)
Second part of timeExample:
31 -
siteId: string
(UUID)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyId: string
(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyName: string
Minimum Length:
0Maximum Length:100Study nameExample:STUDY-ABC -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study. Helps track changes in form or study design.Example:3.0.0.1 -
subjectId: string
(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
10F75668189F422F9A461A315D211111 -
transactionEnd: string
(date-time)
The date and time at which the transaction processing completed.Example:
2025-10-16T14:30:31.892Z -
transactionStart: string
(date-time)
The date and time at which the transaction processing began.Example:
2025-10-16T14:30:31.892Z -
validationFailure: string
Minimum Length:
0Maximum Length:32767Validation failure details if anyExample:Incorrect values not allowed -
validationStatus: string
Minimum Length:
0Maximum Length:25Validation status of the data element. The validation status can be null or SUCCESS.Example:SUCCESS -
value: string
Minimum Length:
0Maximum Length:4000Raw value captured for the itemExample:120 -
variableId: string
(UUID)
Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.Example:
0123456789ABCDEF0123456789ABCDEF -
vendorCode: string
Minimum Length:
0Maximum Length:100Vendor code if providedExample:VENDOR1 -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z -
yearValue: integer
(int32)
Year part of dateExample:
2025
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : LabResponse
Type:
objectResponse containing lab normals processing status and created/updated data elements for v1
Show Source
-
items: array
items
List of data elements generated or updated for the lab normals request
-
labnormalsStatus: array
labnormalsStatus
List of lab normals processing status codes resulting from validation and mapping
Nested Schema : items
Type:
arrayList of data elements generated or updated for the lab normals request
Show Source
-
Array of:
object DataElementDto6
Data element response with additional property linkage details
Example:
[
{
"id":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"versionStart":"2025-10-16T14:30:31.892Z",
"transactionStart":"2025-10-16T14:30:31.892Z",
"transactionEnd":"2025-10-16T14:35:00.000Z",
"validationStatus":"SUCCESS",
"validationFailure":null,
"studyId":"ABCDEF1234567890ABCDEF1234567890",
"studyName":"STUDY-ABC",
"studyVersion":"21",
"subjectId":"10F75668189F422F9A461A315D211111",
"eventId":"ADF5A7800A954FA5B831E7B6B9CA39A9",
"formId":"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF",
"formSectionId":"B6E0C7D5A1F3428C8B8B6A77C5E9D4AA",
"repeatSequenceNumber":1,
"itemId":"DEADBEEFDEADBEEFDEADBEEFDEADBEEF",
"siteId":"ABCDEF1234567890ABCDEF1234567890",
"variableId":"0123456789ABCDEF0123456789ABCDEF",
"originatorId":"FEDCBA9876543210FEDCBA9876543210",
"vendorCode":"VENDOR1",
"value":"13.5",
"measureUnit":"g/dL",
"normalizedValue":"A78AD8C31CD843CD8B847C06C0420FF5",
"normalizedUnitId":"A78AD8C31CD843CD8B847C06C0420FF5",
"numValue":13,
"floatValue":13.5,
"dateTimeValueUTC":"2025-10-16T14:30:31.892Z",
"monthValue":10,
"dayValue":16,
"yearValue":2025,
"hourValue":14,
"minuteValue":30,
"secondValue":31,
"reason":"Initial entry",
"comment":"Captured by device",
"objectVersionNumber":14,
"eventInstanceNum":1,
"targets":[
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE5",
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE7"
],
"dataFlag":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"propertyId":"40DB4EF4847849CCB24EFCCB71CDA436",
"propertyVersionStart":"2025-10-16T14:30:31.892Z"
}
]Nested Schema : labnormalsStatus
Type:
arrayList of lab normals processing status codes resulting from validation and mapping
Show Source
-
Array of:
string
List of lab normals processing status codes resulting from validation and mappingExample:
["SUCCESS"]
Example:
[
"SUCCESS"
]Nested Schema : DataElementDto6
Type:
objectData element response with additional property linkage details
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for the data element changeExample:Captured by device -
dataFlag: string
(UUID)
Unique Data flag identifier(UUID, 32-character uppercase hexadecimal string).Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
dateTimeValueUTC: string
(date-time)
Date-time value in UTCExample:
2025-10-16T14:30:31.892Z -
dayValue: integer
(int32)
Day part of dateExample:
16 -
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ADF5A7800A954FA5B831E7B6B9CA39A9 -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
floatValue: number
(decimal)
Numeric decimal valueExample:
12.34 -
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
formSectionId: string
(UUID)
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B6E0C7D5A1F3428C8B8B6A77C5E9D4AA -
hourValue: integer
(int32)
Hour part of timeExample:
14 -
id: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data elementExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
itemId: string
(UUID)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
DEADBEEFDEADBEEFDEADBEEFDEADBEEF -
measureUnit: string
Minimum Length:
0Maximum Length:64Measurement unitExample:mg/dL -
minuteValue: integer
(int32)
Minute part of timeExample:
30 -
monthValue: integer
(int32)
Month part of dateExample:
10 -
normalizedUnitId: string
Identifier of normalized unitExample:
A78AD8C31CD843CD8B847C06C0420FF5 -
normalizedValue: string
Minimum Length:
0Maximum Length:100Normalized value if applicableExample:120 -
numValue: integer
(int32)
Numeric integer valueExample:
120 -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
14 -
originatorId: string
(UUID)
An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).Example:
FEDCBA9876543210FEDCBA9876543210 -
propertyId: string
Unique Identfier (UUID, 32-character uppercase hexadecimal string) of data capture propertiesExample:
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA -
propertyVersionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2023-01-01T09:00:00Z -
reason: string
Minimum Length:
0Maximum Length:255Reason associated with the data element changeExample:Initial entry -
repeatSequenceNumber: integer
(int32)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
secondValue: integer
(int32)
Second part of timeExample:
31 -
siteId: string
(UUID)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyId: string
(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyName: string
Minimum Length:
0Maximum Length:100Study nameExample:STUDY-ABC -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study. Helps track changes in form or study design.Example:3.0.0.1 -
subjectId: string
(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
10F75668189F422F9A461A315D211111 -
transactionEnd: string
(date-time)
The date and time at which the transaction processing completed.Example:
2025-10-16T14:30:31.892Z -
transactionStart: string
(date-time)
The date and time at which the transaction processing began.Example:
2025-10-16T14:30:31.892Z -
validationFailure: string
Minimum Length:
0Maximum Length:32767Validation failure details if anyExample:Incorrect values not allowed -
validationStatus: string
Minimum Length:
0Maximum Length:25Validation status of the data element. The validation status can be null or SUCCESS.Example:SUCCESS -
value: string
Minimum Length:
0Maximum Length:4000Raw value captured for the itemExample:120 -
variableId: string
(UUID)
Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.Example:
0123456789ABCDEF0123456789ABCDEF -
vendorCode: string
Minimum Length:
0Maximum Length:100Vendor code if providedExample:VENDOR1 -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z -
yearValue: integer
(int32)
Year part of dateExample:
2025
Examples